io.etcd.jetcd

## Interface Cluster

All Superinterfaces:
  AutoCloseable, CloseableClient

    public interface Cluster
    extends CloseableClient

Interface of cluster client talking to etcd.

### Method Summary

All Methods Instance Methods Abstract Methods
`CompletableFuture<MemberAddResponse>` `addMember(List<URI> peerAddrs)` add a new member into the cluster.
`CompletableFuture<MemberListResponse>` `listMember()` lists the current cluster membership.
`CompletableFuture<MemberRemoveResponse>` `removeMember(long memberID)` removes an existing member from the cluster.
`CompletableFuture<MemberUpdateResponse>` `updateMember(long memberID, List<URI> peerAddrs)` update peer addresses of the member.

### Methods inherited from interface io.etcd.jetcd.CloseableClient

`close`

### Method Detail

#### listMember

    CompletableFuture<MemberListResponse> listMember()

lists the current cluster membership.

#### addMember

    CompletableFuture<MemberAddResponse> addMember(List<URI> peerAddrs)

add a new member into the cluster.

Parameters:
  `peerAddrs` - the peer addresses of the new member

#### removeMember

    CompletableFuture<MemberRemoveResponse> removeMember(long memberID)

removes an existing member from the cluster.

#### updateMember

    CompletableFuture<MemberUpdateResponse> updateMember(long memberID,
                                                         List<URI> peerAddrs)

update peer addresses of the member.